@use "../../../styles/theme.scss" as *;

.title {
    text-align: center;
    color: map-get($colors, "color-accent-500");
    text-transform: uppercase;
    margin: 3rem 0;
}

.turfu {
    border-radius: 13px;
    background-color: map-get($colors, "color-dark-fg");
    border: 1px solid map-get($colors, "color-dark-border");
    margin: 2rem 0;
    padding: 1.5rem 2rem 1rem 2rem;
    font-size: 1.2rem;

    @media only screen and (max-device-width: map-get($breakpoints, "sm")) {
        font-size: .95rem;
    }

    .countdown {
        margin-top: 2rem;
        font-size: 1.5rem;
        color: map-get($colors, "color-accent-300");

        @media only screen and (max-device-width: map-get($breakpoints, "sm")) {
            margin-top: 1rem;
            font-size: 1.2rem;
        }
    }
}

.articles {
    list-style: none;
    padding: 0;
}

.article {
    display: flex;
    flex-direction: column;
    margin: 2rem 0;
    padding: 1.5rem 2rem 1rem 2rem;
    min-height: 7rem;
    border-radius: 13px;
    background-color: map-get($colors, "color-dark-fg");
    border: 1px solid map-get($colors, "color-dark-border");
    cursor: pointer;
    transition: all 300ms;

    &:hover {
        box-shadow: 0px 4px 5px 0px hsla(0, 0%, 0%, 0.14), 0px 1px 10px 0px hsla(0, 0%, 0%, 0.12),
            0px 2px 4px -1px hsla(0, 0%, 0%, 0.2);
        transform: translateY(-3px);
    }

    @media only screen and (max-device-width: map-get($breakpoints, "sm")) {
        margin: 1rem 0;
    }

    h5 {
        color: map-get($colors, "color-text");
        font-weight: normal;
    }

    .description {
        flex: 1 1 0;
        display: flex;
        justify-content: space-between;
        margin-top: 1rem;

        p {
            margin: 0;
            color: map-get($colors, "color-accent-300");
        }
    }
}
